if ssflag==1;

    [ui]=strmatch(deblank(vars(i+nn,:)),whosannual,'exact');
    %                               [ui]=regexp(whosannual,deblank(vars(i+nn,:)),
    tmp_a=1;
    if ~isempty(ui)

        tmp_a=4;
    end
    eval(['global ',  deblank(vars(i+nn,:))])
        
    tempo=eval ( strcat ( deblank(vars(i+nn,:)) ) );
    tempo(abs(tempo)<1e-10)=1;
    %                     if abs(tempo)<1e-7
    %                         tempo=1;
    %                     end
    if relative~=1;
        if doHPD==0;

            tmpA= tmp_a*eval(strcat ( deblank(vars(i+nn,:)) , '_', slab(j,:) ) );
        else
            tmpA=tmp_a*[eval(strcat ('oo_.PosteriorIRF.dsge.HPDinf.' ,deblank(vars(i+nn,:)) , '_', slab(j,:) ) ),...
                eval(strcat ('oo_.PosteriorIRF.dsge.Mean.' ,deblank(vars(i+nn,:)) , '_', slab(j,:) ) ),...
                eval(strcat ('oo_.PosteriorIRF.dsge.HPDsup.' ,deblank(vars(i+nn,:)) , '_', slab(j,:) ) )];
        end
    else
        if doHPD==0;
            tmpA= tmp_a*eval(strcat ( deblank(vars(i+nn,:)) , '_', slab(j,:) ) ) ./tempo ;
        else
            tmpA=tmp_a*[eval(strcat ('oo_.PosteriorIRF.dsge.HPDinf.' ,deblank(vars(i+nn,:)) , '_', slab(j,:) ) )./tempo,...
                eval(strcat ('oo_.PosteriorIRF.dsge.HPDmean.' ,deblank(vars(i+nn,:)) , '_', slab(j,:) ) )./tempo,...
                eval(strcat ('oo_.PosteriorIRF.dsge.HPDsup.' ,deblank(vars(i+nn,:)) , '_', slab(j,:) ) )./tempo];
        end
    end
else;
    if doHPD==0;

        tmpA= eval(strcat ( deblank(vars(i+nn,:)) , '_', slab(j,:) ) );
        tmpA=tmpA(:);
    else
        tmpA=[eval(strcat ('oo_.PosteriorIRF.dsge.HPDinf.' ,deblank(vars(i+nn,:)) , '_', slab(j,:) ) ),...
            eval(strcat ('oo_.PosteriorIRF.dsge.HPDmean.', deblank(vars(i+nn,:)) , '_', slab(j,:) ) ),...
            eval(strcat ('oo_.PosteriorIRF.dsge.HPDsup.', deblank(vars(i+nn,:)) , '_', slab(j,:) ) )];
    end

end; % ssflag end